libzypp 17.38.5

zyppng::detail::RedoWhileHelper< Task, Pred > Struct Template Reference

`#include <zypp-core/ng/pipelines/redo.h>`

## Public Member Functions
template<typename T, typename P>
| RedoWhileHelper (T &&t, P &&p)
template<typename Arg>
auto | operator() (Arg &&arg)

## Static Public Member Functions
template<typename T, typename P>
static auto | create (T &&t, P &&p)

## Private Attributes
Task | _task
Pred | _pred

## Detailed Description

template<typename Task, typename Pred>
struct zyppng::detail::RedoWhileHelper< Task, Pred >

Definition at line 41 of file redo.h.

## Constructor & Destructor Documentation

## ◆ RedoWhileHelper()

template<typename Task, typename Pred>
template<typename T, typename P>

zyppng::detail::RedoWhileHelper< Task, Pred >::RedoWhileHelper | ( | T && | t,
|  | P && | p )
| inline

Definition at line 44 of file redo.h.

## Member Function Documentation

## ◆ operator()()

template<typename Task, typename Pred>
template<typename Arg>

auto zyppng::detail::RedoWhileHelper< Task, Pred >::operator() | ( | Arg && | arg | ) |
| inline

Definition at line 49 of file redo.h.

## ◆ create()

template<typename Task, typename Pred>
template<typename T, typename P>

auto zyppng::detail::RedoWhileHelper< Task, Pred >::create | ( | T && | t,
|  | P && | p )
| inline static

Definition at line 54 of file redo.h.

## Member Data Documentation

## ◆ _task

template<typename Task, typename Pred>

Task zyppng::detail::RedoWhileHelper< Task, Pred >::_task
| private

Definition at line 59 of file redo.h.

## ◆ _pred

template<typename Task, typename Pred>

Pred zyppng::detail::RedoWhileHelper< Task, Pred >::_pred
| private

Definition at line 60 of file redo.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/redo.h